#!/bin/sh
# Use this file to finish OCS & GLPI removal ONLY if you don't want to keep it on your system.

clear
echo "WARNING!!!"
echo "This script will delete:"
echo "     - OCS & GLPI MySQL databases"
echo "     - OCS & GLPI MySQL users"
echo "     - OCS & GLPI SME DB entries..."
echo "     - All Install files"
echo "     - Uninstall OCS Linux Agent's RPMs"
echo "     - Delete logs and inventories"
echo -n "ARE YOU SURE YOU WANT TO DELETE PERMANENTLY OCS & GLPI? (y/n) [n] "
read del
if [ "$del" = "y" -o "$del" = "Y" ]; then
  echo "Deleting MySQL databases..."
  mysql -u root -e "DROP DATABASE ocsweb"
  mysql -u root -e "DROP DATABASE glpi"
  echo "Deleting MySQL Users..."
  mysql -u root -e "REVOKE ALL PRIVILEGES ON ocsweb.* FROM 'ocs'@'localhost';"
  mysql -u root -e "REVOKE ALL PRIVILEGES ON ocsweb.* FROM 'ocs'@'%';"
  mysql -u root -e "REVOKE ALL PRIVILEGES ON glpi.* FROM 'glpi'@'localhost';"
  mysql -u root -e "DROP USER ocs@'%';"
  mysql -u root -e "DROP USER ocs@localhost;"
  mysql -u root -e "DROP USER glpi@localhost;"
  echo "Removing SME DB entries..."
  /sbin/e-smith/db accounts delete download
  /sbin/e-smith/db accounts delete ocs
  /sbin/e-smith/db accounts delete ocsinterface
  /sbin/e-smith/db accounts delete ocsinventory
  /sbin/e-smith/db accounts delete glpi
  /sbin/e-smith/config delete ocs
  /sbin/e-smith/config delete glpi
  echo "Removing websites install files..."
  rm -rf /etc/ocsinventory-agent
  rm -rf /opt/inventory
  echo "Uninstalling OCS Linux Agent's RPMs..."
  rpm -e ocsinventory-agent ocsinventory-ipdiscover monitor-edid
  echo "Removing log files..."
  rm -rf /var/log/ocsinventory-agent
  rm -rf /var/log/ocsinventory-NG
  echo "Removing inventories..."
  rm -rf /var/lib/ocsinventory-agent
  echo "Done!"
  rm -f /root/OCS_GLPI-Full-Uninstall.sh
fi
